Package org.apache.tools.ant.types.selectors

# Class TokenizedPath

java.lang.Object
org.apache.tools.ant.types.selectors.TokenizedPath

public class TokenizedPath extends Object
Container for a path that has been split into its components.

Since:
  1.8.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final TokenizedPath`
  `EMPTY_PATH`
  Instance that holds no tokens at all.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TokenizedPath(String path)`
  Initialize the TokenizedPath by parsing it.
  `TokenizedPath(TokenizedPath parent, String child)`
  Creates a new path as a child of another path.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `depth()`
  The depth (or length) of a path.
  `boolean`
  `equals(Object o)`
  true if the original paths are equal.
  `File`
  `findFile(File base, boolean cs)`
  From `base` traverse the filesystem in order to find a file that matches the given name.
  `int`
  `hashCode()`
  `boolean`
  `isSymlink(File base)`
  Do we have to traverse a symlink when trying to reach path from basedir?
  `TokenizedPattern`
  `toPattern()`
  Creates a TokenizedPattern from the same tokens that make up this path.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### EMPTY_PATH

    public static final TokenizedPath EMPTY_PATH
    Instance that holds no tokens at all.

- ## Constructor Details

  - ### TokenizedPath

    public TokenizedPath(String path)
    Initialize the TokenizedPath by parsing it.
    Parameters:
      `path` - The path to tokenize. Must not be `null`.

  - ### TokenizedPath

    public TokenizedPath(TokenizedPath parent, String child)
    Creates a new path as a child of another path.
    Parameters:
      `parent` - the parent path
      `child` - the child, must not contain the file separator

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`
    Returns:
      The original path String

  - ### depth

    public int depth()
    The depth (or length) of a path.
    Returns:
      int

  - ### findFile

    public File findFile(File base, boolean cs)
    From `base` traverse the filesystem in order to find a file that matches the given name.
    Parameters:
      `base` - base File (dir).
      `cs` - whether to scan case-sensitively.
    Returns:
      File object that points to the file in question or null.

  - ### isSymlink

    public boolean isSymlink(File base)
    Do we have to traverse a symlink when trying to reach path from basedir?
    Parameters:
      `base` - base File (dir).
    Returns:
      boolean

  - ### equals

    public boolean equals(Object o)
    true if the original paths are equal.
    Overrides:
      `equals` in class `Object`
    Returns:
      boolean

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toPattern

    public TokenizedPattern toPattern()
    Creates a TokenizedPattern from the same tokens that make up this path.
    Returns:
      TokenizedPattern